#!/bin/bash

APT_KEYRING_FILE="/etc/apt/trusted.gpg"
DOCKER_KEYRING_FILE="/etc/apt/trusted.gpg.d/download.docker.com.gpg"


# There was no docker installed before 2018.02.00 (we don't need to fix)
if dpkg --compare-versions "${XIVO_VERSION_INSTALLED}" "<<" "2018.02.00"; then
    exit 0
fi

# (Borealis) Key was installed in correct location since Borealis.11
if dpkg --compare-versions "${XIVO_VERSION_INSTALLED}" ">>" "2018.16.10"; then
    exit 0
fi

# (Aldebaran) Key location was also fixed in Aldebaran.14+
if dpkg --compare-versions "${XIVO_VERSION_INSTALLED}" "<<" "2018.06.00"; then
    if dpkg --compare-versions "${XIVO_VERSION_INSTALLED}" ">>" "2018.05.13"; then
        exit 0
    fi
fi

is_key_installed=$(gpg --batch --no-tty --keyring ${DOCKER_KEYRING_FILE} --list-keys --with-colons|grep -q "0EBFCD88"; echo $?)
if [ $is_key_installed -eq 0 ]; then
    echo "Remove Docker GPG key from default apt keyring file..."
    gpg --batch --no-tty --keyring ${APT_KEYRING_FILE} --yes --delete-keys 0EBFCD88
fi